# Ecosystem

The Julia ecosystem provides various packages for loading/saving geospatial data
from disk as well as packages to facilitate downloading data sets from the web.

## Input/Output (IO)

| File format | Package |
|:-----------:|:-------:|
| Shapefile   | [GeoTables.jl](https://github.com/JuliaEarth/GeoTables.jl) |
| GeoPackage  | [GeoTables.jl](https://github.com/JuliaEarth/GeoTables.jl) |
| GeoJSON     | [GeoTables.jl](https://github.com/JuliaEarth/GeoTables.jl) |
| NetCDF      | [NCDatasets.jl](https://github.com/Alexander-Barth/NCDatasets.jl) |
| GRIB        | [GRIB.jl](https://github.com/weech/GRIB.jl) |
| GMSH        | [Gmsh.jl](https://github.com/JuliaFEM/Gmsh.jl) |
| VTK         | [WriteVTK.jl](https://github.com/jipolanco/WriteVTK.jl) |
| PLY         | [PlyIO.jl](https://github.com/JuliaGeometry/PlyIO.jl) |
| GSLIB       | [GslibIO.jl](https://github.com/JuliaEarth/GslibIO.jl) |
| DrillHoles  | [DrillHoles.jl](https://github.com/JuliaEarth/DrillHoles.jl) |

##  Datasets

| Package | Description |
|:-------:|:------------|
| [INMET.jl](https://github.com/JuliaClimate/INMET.jl)   | Data from the Instituto Nacional de Meteorologia (INMET) |
| [CDSAPI.jl](https://github.com/JuliaClimate/CDSAPI.jl) | Datasets maintained by the Climate Data Store (CDS) |     
